-- phpMyAdmin SQL Dump
-- version 4.8.5
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 03, 2020 at 05:18 AM
-- Server version: 10.1.38-MariaDB
-- PHP Version: 5.6.40

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `casdb`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_attendance`
--

CREATE TABLE `tbl_attendance` (
  `AttendanceID` int(11) NOT NULL,
  `DateOfClass` text NOT NULL,
  `StudentID` int(11) NOT NULL,
  `AttendanceStatus` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_attendance`
--

INSERT INTO `tbl_attendance` (`AttendanceID`, `DateOfClass`, `StudentID`, `AttendanceStatus`) VALUES
(1, 'Today', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_login`
--

CREATE TABLE `tbl_login` (
  `Login_ID` varchar(15) NOT NULL,
  `Password` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_login`
--

INSERT INTO `tbl_login` (`Login_ID`, `Password`) VALUES
('test', 'test');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_projects`
--

CREATE TABLE `tbl_projects` (
  `ID` int(11) NOT NULL,
  `ProjectID` int(11) UNSIGNED NOT NULL,
  `ProjectName` varchar(100) NOT NULL,
  `PStatusID` int(11) NOT NULL,
  `ProjectStartDate` text NOT NULL,
  `ProjectEndDate` text NOT NULL,
  `Remarks` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_projects`
--

INSERT INTO `tbl_projects` (`ID`, `ProjectID`, `ProjectName`, `PStatusID`, `ProjectStartDate`, `ProjectEndDate`, `Remarks`) VALUES
(4, 1, 'John', 1, '11', '11', ''),
(5, 1, 'John', 1, '11', '11', '');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_projectstatuslookup`
--

CREATE TABLE `tbl_projectstatuslookup` (
  `PStatusID` int(11) NOT NULL,
  `PStatusName` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_projectstatuslookup`
--

INSERT INTO `tbl_projectstatuslookup` (`PStatusID`, `PStatusName`) VALUES
(1, 'To Confirm'),
(2, 'In Progress'),
(3, 'Completed');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_spmap`
--

CREATE TABLE `tbl_spmap` (
  `SPMapID` int(11) NOT NULL,
  `StudentID` int(11) NOT NULL,
  `ProjectID` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_spmap`
--

INSERT INTO `tbl_spmap` (`SPMapID`, `StudentID`, `ProjectID`) VALUES
(1, 1, 1),
(2, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_students`
--

CREATE TABLE `tbl_students` (
  `StudentID` int(11) NOT NULL,
  `StudentName` varchar(50) NOT NULL,
  `Grade` varchar(20) NOT NULL,
  `Batch` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tbl_students`
--

INSERT INTO `tbl_students` (`StudentID`, `StudentName`, `Grade`, `Batch`) VALUES
(1, 'John', '2020', '11'),
(2, 'Clara', '2021', '21');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_attendance`
--
ALTER TABLE `tbl_attendance`
  ADD PRIMARY KEY (`AttendanceID`),
  ADD KEY `FK_StudentID` (`StudentID`);

--
-- Indexes for table `tbl_login`
--
ALTER TABLE `tbl_login`
  ADD PRIMARY KEY (`Login_ID`);

--
-- Indexes for table `tbl_projects`
--
ALTER TABLE `tbl_projects`
  ADD PRIMARY KEY (`ID`,`ProjectID`),
  ADD KEY `FK_PStatus_Project` (`PStatusID`);

--
-- Indexes for table `tbl_projectstatuslookup`
--
ALTER TABLE `tbl_projectstatuslookup`
  ADD PRIMARY KEY (`PStatusID`);

--
-- Indexes for table `tbl_spmap`
--
ALTER TABLE `tbl_spmap`
  ADD PRIMARY KEY (`SPMapID`),
  ADD KEY `FK_StudentID_SPMAP` (`StudentID`);

--
-- Indexes for table `tbl_students`
--
ALTER TABLE `tbl_students`
  ADD PRIMARY KEY (`StudentID`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_attendance`
--
ALTER TABLE `tbl_attendance`
  MODIFY `AttendanceID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tbl_projects`
--
ALTER TABLE `tbl_projects`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `tbl_projectstatuslookup`
--
ALTER TABLE `tbl_projectstatuslookup`
  MODIFY `PStatusID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tbl_spmap`
--
ALTER TABLE `tbl_spmap`
  MODIFY `SPMapID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tbl_students`
--
ALTER TABLE `tbl_students`
  MODIFY `StudentID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_attendance`
--
ALTER TABLE `tbl_attendance`
  ADD CONSTRAINT `FK_StudentID` FOREIGN KEY (`StudentID`) REFERENCES `tbl_students` (`StudentID`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_projects`
--
ALTER TABLE `tbl_projects`
  ADD CONSTRAINT `FK_PStatus_Project` FOREIGN KEY (`PStatusID`) REFERENCES `tbl_projectstatuslookup` (`PStatusID`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_spmap`
--
ALTER TABLE `tbl_spmap`
  ADD CONSTRAINT `FK_StudentID_SPMAP` FOREIGN KEY (`StudentID`) REFERENCES `tbl_students` (`StudentID`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
